#pragma once

#include "CoreMinimal.h"
#include "DropInteraction.h"
#include "DropBySkillCheckInteraction.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UDropBySkillCheckInteraction : public UDropInteraction
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FString> OverridableInteractions;

public:
	UDropBySkillCheckInteraction();
};

FORCEINLINE uint32 GetTypeHash(const UDropBySkillCheckInteraction) { return 0; }
